# frozen_string_literal: true

# app/hermes/models/concerns/common_field.rb
# app/controllers/concerns/test_concern.rb

module Hermes
  module Concerns
    module LockableConcern
      extend ActiveSupport::Concern

      included do
        field :is_locked_with_application, type: Boolean, default: false
    
        def is_locked_with_application_for(user)
          if self.is_locked_with_application && !user.roles&.include?("Administrator")
            return true
          else
            return false
          end
        end
      end
    end
  end
end
