# frozen_string_literal: true

require 'rails_helper'

require [Hermes::Engine.root, %w[lib hermes rex_client tasks]].flatten.join('/').to_s

RSpec.describe Hermes::RexClient::UpdateStructureTask, type: :helper do
  let!(:entity) { create(:entity, title: 'MON AGENCE', siren: '43270163900085') }
  let!(:client) { Hermes::RexClient::Client.new }
  let!(:rex_entity) { Hermes::RexClient::Client.new.search_structures({'fields.siret' => '43270163900085'}).first }

  it 'Update existing entity' do

    VCR.use_cassette("rex_update_existing_entity", :match_requests_on => [:method, :uri, :path]) do
      Hermes::RexClient::UpdateStructureTask.execute(client, rex_entity)
      expect(entity.title).to eq "IFAC BREST"
    end
  end
end
